Subject: bug#9469: buffer-local variables seem to remember previous values

From: Andreas Schwab <[email-masked]>
Date: Mon, 12 Sep 2011 10:35:23 +0200

Le Wang <[email-masked]> writes:

> My point is that the manual would be more helpful to someone in my
> position if it had an example saying don't modify quoted objects, and
> why.

This has nothing at all to do with quoting.  Don't use destructive
functions if you don't know what you are doing.  If you store through a
pointer in C you also have to take care of side effects.  There is
nothing new here.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."